• как залогиниться в систему? 2

    From Andrey Ostanovsky@2:5030/1957 to All on Wed Jun 22 17:39:00 2022
    Hello All!

    И все бы зашибись, только после перезагрузки - не удается зайти ни по ssh, ни с консоли: просто молча выбрасывает после сообщения об успешном логине.

    login: in prompt_tty(): caught signal 2
    login: pam_authenticate(): conversation failure


    Выяснилось, что проблема из-за юзерского шелла: был /usr/local/bin/bash. После смены его на системный sh/csh - вход состоялся...

    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Eugene Grosbein@2:5006/1 to Andrey Ostanovsky on Thu Jun 23 01:34:08 2022
    22 июня 2022, среда, в 17:39 NOVT, Andrey Ostanovsky написал(а):

    И все бы зашибись, только после перезагрузки - не удается зайти ни по ssh, ни с
    консоли: просто молча выбрасывает после сообщения об успешном логине. login: in prompt_tty(): caught signal 2
    login: pam_authenticate(): conversation failure
    Выяснилось, что проблема из-за юзерского шелла: был /usr/local/bin/bash. После
    смены его на системный sh/csh - вход состоялся...

    Видимо, ты затёр /etc/shells в процессе апгрейда.
    При установке bash он вносится в этот список допустимых шеллов,
    а теперь его у тебя там нет.

    Eugene
    --
    Сердце - малочувствительный, мускулистый, грубый и жесткий орган.
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Andrey Ostanovsky@2:5030/1957 to Eugene Grosbein on Wed Jun 22 23:01:32 2022
    Hello Eugene!

    23 Jun 22 01:34, you wrote to me:

    Видимо, ты затёр /etc/shells в процессе апгрейда.
    При установке bash он вносится в этот список допустимых шеллов,
    а теперь его у тебя там нет.

    Да нет, там все бинари из /usr/local/* перестали работать и падают в корку... Это-то, кстати, вполне понятно при переходе с версии на версию.

    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Eugene Grosbein@2:5006/1 to Andrey Ostanovsky on Thu Jun 23 04:42:41 2022
    22 июня 2022, среда, в 23:01 NOVT, Andrey Ostanovsky написал(а):

    Видимо, ты затёр /etc/shells в процессе апгрейда.
    При установке bash он вносится в этот список допустимых шеллов,
    а теперь его у тебя там нет.
    Да нет, там все бинари из /usr/local/* перестали работать и падают в корку...
    Это-то, кстати, вполне понятно при переходе с версии на версию.

    У меня ничего не падает при переходе с версии на версию.

    Может быть, потому что я не удаляю старые библиотеки,
    с которыми слинкованы старые бинарники.

    Eugene
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Dmitriy Smirnov@2:5010/352 to Andrey Ostanovsky on Thu Jun 23 08:39:45 2022
    hi, Andrey!

    22 Jun 22 23:01, Andrey Ostanovsky wrote to Eugene Grosbein:

    Видимо, ты затёр /etc/shells в процессе апгрейда.
    При установке bash он вносится в этот список допустимых шеллов,
    а теперь его у тебя там нет.

    Да нет, там все бинари из /usr/local/* перестали работать и падают в корку... Это-то, кстати, вполне понятно при переходе с версии на
    версию.

    при мажорном переходе всегда есть предупреждение о необходимости пересобраться третий софт, после чего вычищаются старые либы, видать ты перескочил сразу на чистку.

    wbr, Dmitriy.
    ---
    * Origin: powered by FreeBSD 12.2-RELEASE-p7 amd64 (2:5010/352)
  • From Andrey Ostanovsky@2:5030/1957 to Dmitriy Smirnov on Thu Jun 23 11:09:02 2022
    Hello Dmitriy!

    23 Jun 22 08:39, you wrote to me:

    Да нет, там все бинари из /usr/local/* перестали работать и
    падают в корку... Это-то, кстати, вполне понятно при переходе с
    версии на версию.

    при мажорном переходе всегда есть предупреждение о необходимости пересобраться третий софт, после чего вычищаются старые либы, видать
    ты перескочил сразу на чистку.

    ет, просто не включил в конфиг собираемого ядра опцию COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS вписать...

    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Dmitriy Smirnov@2:5010/352 to Andrey Ostanovsky on Thu Jun 23 16:07:04 2022
    hi, Andrey!

    23 Jun 22 11:09, Andrey Ostanovsky wrote to Dmitriy Smirnov:

    Да нет, там все бинари из /usr/local/* перестали работать и
    падают в корку... Это-то, кстати, вполне понятно при переходе с
    версии на версию.

    при мажорном переходе всегда есть предупреждение о необходимости
    пересобраться третий софт, после чего вычищаются старые либы,
    видать ты перескочил сразу на чистку.

    ет, просто не включил в конфиг собираемого ядра опцию
    COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS вписать...

    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    wbr, Dmitriy.
    ---
    * Origin: powered by FreeBSD 12.2-RELEASE-p7 amd64 (2:5010/352)
  • From Anton Gorlov@2:5059/37 to Dmitriy Smirnov on Thu Jun 23 14:29:18 2022
    Привет Dmitriy!

    23 июн 22 года (а было тогда 16:07)
    Dmitriy Smirnov в своем письме к Andrey Ostanovsky писал:

    ет, просто не включил в конфиг собираемого ядра опцию
    COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS
    вписать...
    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    Я тоже включаю compat,а следом уже пересобираю.


    С уважением. Anton aka Stalker

    Linux Registered User #386476
    [#*TEAM:*#] [#_Злой СисОп_#] [*Heavy Metal!*] [*_Усачи_*]
    --- GoldED+/LNX 1.1.5-b20160322
    * Origin: Per aspera ad astra! (2:5059/37)
  • From Dmitriy Smirnov@2:5010/352 to Anton Gorlov on Thu Jun 23 17:27:00 2022
    hi, Anton!

    23 Jun 22 14:29, Anton Gorlov wrote to Dmitriy Smirnov:

    ет, просто не включил в конфиг собираемого ядра опцию
    COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS
    вписать...
    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    Я тоже включаю compat,а следом уже пересобираю.

    это не отменяет того, что необходимо пересобирать софт, а после уже удалять старые либы. В ваших обоих случаях вы делаете воркэраунд через промежуточную установку компата, т.е. удаляете либы, а после их обратно компатом ставите %)

    зы: я предпочитаю сразу пересобрать софт и после закончить мажорный апгрейд без лишних телодвиженй.

    wbr, Dmitriy.
    ---
    * Origin: powered by FreeBSD 12.2-RELEASE-p7 amd64 (2:5010/352)
  • From Andrey Ostanovsky@2:5030/1957 to Dmitriy Smirnov on Thu Jun 23 22:27:36 2022
    Hello Dmitriy!

    23 Jun 22 17:27, you wrote to Anton Gorlov:

    зы: я предпочитаю сразу пересобрать софт и после закончить мажорный апгрейд без лишних телодвиженй.

    Т.е., если что-то пойдет "не так" - на старое ядро (предыдущей версии) - будет уже не откатиться? :)

    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Andrey Ostanovsky@2:5030/1957 to Dmitriy Smirnov on Thu Jun 23 22:35:46 2022
    Hello Dmitriy!

    23 Jun 22 16:07, you wrote to me:

    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    адо же его для чего-то использовать. :) COMPAT_ позволяет не обновлять юзерский софт и работать в удобном и привычном окружении.

    а самом деле, бывает масса ситуаций, когда некогда или просто не пересобирается софт. Вот, сегодня, например, отказался пересобираться перл с ошибкой "dtrace -h" с руганью на конфиг.
    dtrace -h
    dtrace: failed to establish error handler: "/usr/lib/dtrace/psinfo.d",
    line 39: syntax error near "uid_t"

    Запускаю так же dtrace на машине, где 12.3 - не ругается. Тащу отдельно конфиг и бинарь туда, где - ругается - оно там ведет себя точно так же... Вывод - грабли где-то в слинкованных библиотеках и единственный вариант - дальнейшее обновление системы...


    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Nil A@2:5015/46 to Andrey Ostanovsky on Thu Jun 23 23:49:00 2022
    Hello, Andrey!

    Thursday June 23 2022 22:35, from Andrey Ostanovsky -> Dmitriy Smirnov:

    dtrace -h
    Запускаю так же dtrace на машине, где 12.3 - не ругается.

    Ах вот откуда на моей макосе надо делать какие-то dtrace и dtruss, вместо привычных strace??

    А если я уже живу лет так.. на маке, то может я буду чувствовать себя как дома, если поставлю FreeLSD?

    Best Regards, Nil
    --- GoldED+/LNX 1.1.5
    * Origin: Linux 2.6.32-042stab145.3 (2:5015/46)
  • From Dmitriy Smirnov@2:5010/352 to Andrey Ostanovsky on Fri Jun 24 08:50:50 2022
    hi, Andrey!

    23 Jun 22 22:27, Andrey Ostanovsky wrote to Dmitriy Smirnov:

    зы: я предпочитаю сразу пересобрать софт и после закончить
    мажорный апгрейд без лишних телодвиженй.

    Т.е., если что-то пойдет "не так" - на старое ядро (предыдущей версии)
    - будет уже не откатиться? :)

    не знаю, ни разу не приходилось откатываться, видать свезло =)

    wbr, Dmitriy.
    ---
    * Origin: powered by FreeBSD 12.2-RELEASE-p7 amd64 (2:5010/352)
  • From Dmitriy Smirnov@2:5010/352 to Andrey Ostanovsky on Fri Jun 24 08:51:44 2022
    hi, Andrey!

    23 Jun 22 22:35, Andrey Ostanovsky wrote to Dmitriy Smirnov:

    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    адо же его для чего-то использовать. :) COMPAT_ позволяет не
    обновлять юзерский софт и работать в удобном и привычном окружении.

    знаю для чего компат, более того в некоторых местах даже приходится использовать его, так как пересобрать часть софта из-за дремучих зависимостей порой весьма геморройно, но даже в таких случаях, я просто доставляю его из пакета, без пересборки ядра.

    а самом деле, бывает масса ситуаций, когда некогда или просто не пересобирается софт. Вот, сегодня, например, отказался пересобираться
    перл с ошибкой "dtrace -h" с руганью на конфиг.

    на случай, когда что-то не собирается, у меня есть poudriere, на котором я вижу, что сборка прошла и можно обновлять софт.

    dtrace -h
    dtrace: failed to establish error handler:
    "/usr/lib/dtrace/psinfo.d", line 39: syntax error near "uid_t"

    Запускаю так же dtrace на машине, где 12.3 - не ругается. Тащу
    отдельно конфиг и бинарь туда, где - ругается - оно там ведет себя
    точно так же... Вывод - грабли где-то в слинкованных библиотеках и единственный вариант - дальнейшее обновление системы...

    имхо, весьма частный случай =)

    wbr, Dmitriy.
    ---
    * Origin: powered by FreeBSD 12.2-RELEASE-p7 amd64 (2:5010/352)
  • From Eugene Grosbein@2:5006/1 to Dmitriy Smirnov on Sat Jun 25 21:24:08 2022
    23 июня 2022, четверг, в 16:07 NOVT, Dmitriy Smirnov написал(а):

    Hет, просто не включил в конфиг собираемого ядра опцию
    COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS вписать...
    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    Конечно, оно и в GENERIC есть. Пересобирать софт совсем необязательно,
    как и удалять старые библиотеки. Я не делаю ни того, ни другого,
    за исключением ядерных модулей из портов типа nvidia и vbox.

    Eugene
    --
    А ученый уподобляется обученному слону, которого погонщик поставил перед преградой. Он пользуется силой разума, как слон --- силой мышц, подчиняясь приказу. Это необычайно удобно: ученый отныне готов на все, так как ни за
    что уже не отвечает.
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Eugene Grosbein@2:5006/1 to Andrey Ostanovsky on Sat Jun 25 21:28:14 2022
    23 июня 2022, четверг, в 11:09 NOVT, Andrey Ostanovsky написал(а):

    Да нет, там все бинари из /usr/local/* перестали работать и
    падают в корку... Это-то, кстати, вполне понятно при переходе с
    версии на версию.
    при мажорном переходе всегда есть предупреждение о необходимости
    пересобраться третий софт, после чего вычищаются старые либы, видать
    ты перескочил сразу на чистку.
    Hет, просто не включил в конфиг собираемого ядра опцию COMPAT_FREEBSD11... Как
    будто нельзя было его в DEFAULTS вписать...

    Hынче использовать собственное ядро лучше следующим образом:

    include GENERIC
    ident MYKERNEL
    options XXX
    options YYY
    device xxx
    device yyy
    nooptions ZZZ
    nodevice ZZZ

    Таким образом ты точно не поимеешь проблем при мажорном обновлении.

    Eugene
    --
    Поэты - страшные люди. У них все святое.
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Dmitriy Smirnov@2:5010/352 to Eugene Grosbein on Sat Jun 25 20:22:48 2022
    hi, Eugene!

    25 Jun 22 21:24, Eugene Grosbein wrote to Dmitriy Smirnov:

    Hет, просто не включил в конфиг собираемого ядра опцию
    COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS
    вписать...
    т.е. чтобы не пересобирать софт, ты просто включаешь компат?

    Конечно, оно и в GENERIC есть.

    я давно в конфиг дженерика не заглядывал за ненадобностью, но то что он там был видел. Стало быть Андрей просто неподрасчитал с конфигом ядра при сборке.

    Пересобирать софт совсем необязательно,

    я говорил о предупреждении/рекомендации "rebuild all installed 3rd party software"

    wbr, Dmitriy.
    ---
    * Origin: powered by FreeBSD 12.2-RELEASE-p7 amd64 (2:5010/352)
  • From Andrey Ostanovsky@2:5030/1957 to Eugene Grosbein on Mon Jun 27 10:09:18 2022
    Hello Eugene!

    25 Jun 22 21:28, you wrote to me:

    Hынче использовать собственное ядро лучше следующим образом:
    include GENERIC

    ....

    Таким образом ты точно не поимеешь проблем при мажорном обновлении.

    Мне казалось, что для этого случая - там лежит DEFAULTS. :) Оно, кстати, и инклюдится по-умолчанию при сборке кастомного ядра.

    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Eugene Grosbein@2:5006/1 to Dmitriy Smirnov on Tue Jun 28 15:01:20 2022
    25 июня 2022, суббота, в 20:22 NOVT, Dmitriy Smirnov написал(а):

    Hет, просто не включил в конфиг собираемого ядра опцию
    COMPAT_FREEBSD11... Как будто нельзя было его в DEFAULTS
    вписать...
    т.е. чтобы не пересобирать софт, ты просто включаешь компат?
    Конечно, оно и в GENERIC есть.
    я давно в конфиг дженерика не заглядывал за ненадобностью, но то что он там был
    видел. Стало быть Андрей просто неподрасчитал с конфигом ядра при сборке.
    Пересобирать софт совсем необязательно,
    я говорил о предупреждении/рекомендации "rebuild all installed 3rd party software"

    Это совсем необязательно.

    Eugene
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Eugene Grosbein@2:5006/1 to Andrey Ostanovsky on Tue Jun 28 15:02:27 2022
    27 июня 2022, понедельник, в 10:09 NOVT, Andrey Ostanovsky написал(а):

    Hынче использовать собственное ядро лучше следующим образом:
    include GENERIC
    ....
    Таким образом ты точно не поимеешь проблем при мажорном обновлении.
    Мне казалось, что для этого случая - там лежит DEFAULTS. :) Оно, кстати, и инклюдится по-умолчанию при сборке кастомного ядра.

    DEFAULTS лежит вовсе не для того :-)

    Eugene
    --
    В России каждый третий болеет СПИДом. Его зрачки расширены, веки красные,
    и его всегда начинает ломать.
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Andrey Ostanovsky@2:5030/1957 to Eugene Grosbein on Tue Jun 28 11:58:38 2022
    Hello Eugene!

    28 Jun 22 15:02, you wrote to me:

    Hынче использовать собственное ядро лучше следующим образом:
    include GENERIC
    ....
    Таким образом ты точно не поимеешь проблем при мажорном
    обновлении.
    Мне казалось, что для этого случая - там лежит DEFAULTS. :) Оно,
    кстати, и инклюдится по-умолчанию при сборке кастомного ядра.
    DEFAULTS лежит вовсе не для того :-)

    у а смысл тогда кастомного ядра, если все равно в него будет тянуться ненужный перечень устройств?

    Да, вот еще непонятные грабли сборки мира из-под старой системы:

    # file /usr/sbin/tcpdump
    /usr/sbin/tcpdump: ELF 64-bit LSB executable, x86-64, version 1 (FreeBSD), dynamically linked, interpreter /libexec/ld-elf.so.1, for FreeBSD 12.3, FreeBSD-style, stripped

    # ldd /usr/sbin/tcpdump
    /usr/sbin/tcpdump:
    libpcap.so.8 => /lib/libpcap.so.8 (0x800332000)
    libcasper.so.1 => not found (0)
    libcap_dns.so.2 => not found (0)
    libcrypto.so.111 => /lib/libcrypto.so.111 (0x800399000)
    libc.so.7 => /lib/libc.so.7 (0x80068b000)
    libibverbs.so.1 => /lib/libibverbs.so.1 (0x800a83000)
    libmlx5.so.1 => /lib/libmlx5.so.1 (0x800a95000)
    libthr.so.3 => /lib/libthr.so.3 (0x800ab0000)

    Закономерно, попытка запуска выводит ошибку:
    # tcpdump -pni gif1
    ld-elf.so.1: Shared object "libcasper.so.1" not found, required by "tcpdump"

    Идем в /usr/src, пересобираем, ставим - и все начинает работать...

    # ldd /usr/sbin/tcpdump
    /usr/sbin/tcpdump:
    libpcap.so.8 => /lib/libpcap.so.8 (0x800332000)
    libcrypto.so.111 => /lib/libcrypto.so.111 (0x800399000)
    libc.so.7 => /lib/libc.so.7 (0x80068b000)
    libibverbs.so.1 => /lib/libibverbs.so.1 (0x800a83000)
    libmlx5.so.1 => /lib/libmlx5.so.1 (0x800a95000)
    libthr.so.3 => /lib/libthr.so.3 (0x800ab0000)


    Как так-то? Причем это уже несколько бинарей из /bin и /sbin пришлось пересобирать.


    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Eugene Grosbein@2:5006/1 to Andrey Ostanovsky on Tue Jun 28 22:28:15 2022
    28 июня 2022, вторник, в 11:58 NOVT, Andrey Ostanovsky написал(а):

    Hынче использовать собственное ядро лучше следующим образом:
    include GENERIC
    ....
    Таким образом ты точно не поимеешь проблем при мажорном
    обновлении.
    Мне казалось, что для этого случая - там лежит DEFAULTS. :) Оно,
    кстати, и инклюдится по-умолчанию при сборке кастомного ядра.
    DEFAULTS лежит вовсе не для того :-)
    Hу а смысл тогда кастомного ядра, если все равно в него будет тянуться ненужный
    перечень устройств?

    Ты поскипал nodevice, который я специально для ответа
    на этот вопрос показал.

    Да, вот еще непонятные грабли сборки мира из-под старой системы:
    # file /usr/sbin/tcpdump
    /usr/sbin/tcpdump: ELF 64-bit LSB executable, x86-64, version 1 (FreeBSD), dynamically linked, interpreter /libexec/ld-elf.so.1, for FreeBSD 12.3, FreeBSD-style, stripped
    # ldd /usr/sbin/tcpdump
    /usr/sbin/tcpdump:
    libpcap.so.8 => /lib/libpcap.so.8 (0x800332000)
    libcasper.so.1 => not found (0)
    libcap_dns.so.2 => not found (0)
    libcrypto.so.111 => /lib/libcrypto.so.111 (0x800399000)
    libc.so.7 => /lib/libc.so.7 (0x80068b000)
    libibverbs.so.1 => /lib/libibverbs.so.1 (0x800a83000)
    libmlx5.so.1 => /lib/libmlx5.so.1 (0x800a95000)
    libthr.so.3 => /lib/libthr.so.3 (0x800ab0000)
    Закономерно, попытка запуска выводит ошибку:
    # tcpdump -pni gif1
    ld-elf.so.1: Shared object "libcasper.so.1" not found, required by "tcpdump"
    Идем в /usr/src, пересобираем, ставим - и все начинает работать...
    # ldd /usr/sbin/tcpdump
    /usr/sbin/tcpdump:
    libpcap.so.8 => /lib/libpcap.so.8 (0x800332000)
    libcrypto.so.111 => /lib/libcrypto.so.111 (0x800399000)
    libc.so.7 => /lib/libc.so.7 (0x80068b000)
    libibverbs.so.1 => /lib/libibverbs.so.1 (0x800a83000)
    libmlx5.so.1 => /lib/libmlx5.so.1 (0x800a95000)
    libthr.so.3 => /lib/libthr.so.3 (0x800ab0000)
    Как так-то? Причем это уже несколько бинарей из /bin и /sbin пришлось пересобирать.

    Ты переиграл в кастомизацию мира. Где-то накосячил с WITHOUT_CASPER
    при сборке, так что библиотек casper у тебя нет, а бинарники были собраны с.

    Eugene
    --
    Поэты - страшные люди. У них все святое.
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)
  • From Andrey Ostanovsky@2:5030/1957 to Eugene Grosbein on Fri Jul 1 10:19:58 2022
    Hello Eugene!

    28 Jun 22 22:28, you wrote to me:

    Hу а смысл тогда кастомного ядра, если все равно в него будет
    тянуться ненужный перечень устройств?
    Ты поскипал nodevice, который я специально для ответа
    на этот вопрос показал.

    у это уж совсем самурайско-самурайский путь: сначала включить в конфиг, потом тут-же исключить из конфига...

    Ты переиграл в кастомизацию мира. Где-то накосячил с WITHOUT_CASPER
    при сборке, так что библиотек casper у тебя нет, а бинарники были
    собраны с.

    Эта директива у меня в /etc/src.conf была давно по какому-то поводу включена... Т.е. этот конфиг - тоже нельзя использовать...

    Andrey

    --- GoldED+/BSD 1.1.5-b20070503
    * Origin: PGP KeyID 0x2ABEC67A, 0xA7BA47DD andrey @ ostanovsky. (2:5030/1957)
  • From Eugene Grosbein@2:5006/1 to Andrey Ostanovsky on Fri Jul 1 18:48:53 2022
    01 июля 2022, пятница, в 10:19 NOVT, Andrey Ostanovsky написал(а):

    Эта директива у меня в /etc/src.conf была давно по какому-то поводу включена...
    Т.е. этот конфиг - тоже нельзя использовать...

    Я использую, всё работает (c)

    Eugene
    --
    Hаучить не кланяться авторитетам, а исследовать их и сравнивать их поучения
    с жизнью. Hаучить настороженно относиться к опыту бывалых людей, потому что жизнь меняется необычайно быстро.
    --- slrn/1.0.3 (FreeBSD)
    * Origin: RDTC JSC (2:5006/1@fidonet)